Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2EnumeratedInputSymbolComparison Class Reference

Represents an 'enumerated-input-symbol-comparison' element of the option graph. More...

`#include <Xabsl2BooleanExpression.h>`

Inheritance diagram for Xabsl2EnumeratedInputSymbolComparison:

[legend]
Collaboration diagram for Xabsl2EnumeratedInputSymbolComparison:

[legend]
List of all members.

## Public Member Functions
| Xabsl2EnumeratedInputSymbolComparison (Xabsl2InputSource &input, Xabsl2ErrorHandler &errorHandler, Xabsl2Symbols &symbols)
| Constructor.
virtual bool | getValue ()
| Evaluates the boolean expression.
## Private Attributes
Xabsl2EnumeratedInputSymbol * | symbol
| The referenced symbol.
int | value
| The value to compare.

## Detailed Description

Represents an 'enumerated-input-symbol-comparison' element of the option graph.

Author:
  Martin Lötzsch

Definition at line 221 of file Xabsl2BooleanExpression.h.

## Constructor & Destructor Documentation

Xabsl2EnumeratedInputSymbolComparison::Xabsl2EnumeratedInputSymbolComparison | ( | Xabsl2InputSource & | input,
|  | Xabsl2ErrorHandler & | errorHandler,
|  | Xabsl2Symbols & | symbols
| ) |

  | Constructor. Creates the element. Parameters:
  input | An input source for the intermediate code. It must be opened and read until A position where the element starts.
  errorHandler | A reference to a Xabsl2ErrorHandler instance
  symbols | All available symbols
Definition at line 305 of file Xabsl2BooleanExpression.cpp. References Xabsl2EnumeratedInputSymbol::enumElements, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2EnumElement * >::exists(), Xabsl2Symbols::existsEnumeratedInputSymbol(), Xabsl2Array< Xabsl2EnumElement * >::getElement(), Xabsl2Symbols::getEnumeratedInputSymbol(), Xabsl2ErrorHandler::message(), Xabsl2NamedItem::n, Xabsl2InputSource::readString(), Xabsl2EnumElement::v, and XABSL2_DEBUG_INIT.

Here is the call graph for this function:

## Member Function Documentation

bool Xabsl2EnumeratedInputSymbolComparison::getValue | ( |  | ) | `[virtual]`

| Evaluates the boolean expression. Implements Xabsl2BooleanExpression. Definition at line 331 of file Xabsl2BooleanExpression.cpp. References Xabsl2InputSymbol< int >::getValue().

Here is the call graph for this function:

## Member Data Documentation

Xabsl2EnumeratedInputSymbol* Xabsl2EnumeratedInputSymbolComparison::symbol`[private]`

| The referenced symbol. Definition at line 239 of file Xabsl2BooleanExpression.h.

int Xabsl2EnumeratedInputSymbolComparison::value`[private]`

| The value to compare. Definition at line 242 of file Xabsl2BooleanExpression.h.

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.cpp